#include <iostream>

int main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);

    int num_elems;
    int diff;
    int num_pairs;

    std::cin >> num_elems >> diff >> num_pairs;

    if (num_elems - 1 > num_pairs)
    {
        std::cout << -1 << '\n';
        return 0;
    }

    std::cout << (num_elems + diff) << ' ';

    for (int i = 1; i < num_elems; ++i)
    {
        std::cout << i << ' ';
    }
}